Get specific lifecycle template
curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/lifecycleTemplate/{lifecycleTemplateId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/environment/{environmentId}/lifecycleTemplate/{lifecycleTemplateId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/environment/{environmentId}/lifecycleTemplate/{lifecycleTemplateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"sourceUrl": "<string>",
"cloud_provider": "AWS",
"events": [
{
"name": "<string>",
"command": [
"<string>"
],
"entrypoint": "<string>"
}
],
"max_duration_in_sec": 123,
"resources": {
"cpu_milli": 123,
"ram_mib": 123
},
"variables": [
{
"name": "<string>",
"description": "<string>",
"default": "<string>",
"is_secret": true,
"file": {
"path": "<string>",
"enable_interpolation": false
}
}
],
"dockerfile": "<string>"
}Lifecycle Template Main Calls
Get specific lifecycle template
GET
/
environment
/
{environmentId}
/
lifecycleTemplate
/
{lifecycleTemplateId}
Get specific lifecycle template
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Response
Lifecycle template
location of the template
Available options:
AWS, SCW, GCP, ON_PREMISE, AZURE lis of pre-defined command for each event
Show child attributes
Show child attributes
Job max allowed duration in seconds. After this allowed time, the job is going to be killed.
Show child attributes
Show child attributes
Variables to inject at the creation of this lifecycle job
Show child attributes
Show child attributes
Dockerfile of the template
Was this page helpful?